LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04497User patchesStatisticspublic2010-07-19 21:182013-02-06 11:42
ReporterBlastDV 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.82 
Target VersionFixed in Version2.00 
Summary04497: The "More Graphics" feature
DescriptionHi! This one isn't exactly a bug, is a new feature I've developed for the statistics function in LimeSurvey.

What it does is, instead of showing the classic bars and pie graphics, it shows different types of graphics according to the question type. Thats the feature 1, the feature 2, is even better. Once you generate all the graphics for your results, after each graphic, there's a listbox where you can choose from different types of graphics (Standar, Radio, 3D Pie, Simple Pie, Exploded Pie and Bars), then you press the "Generate" button and the data will be showed almost instantly in the graphic you selected. I used iFrames for it, so that you don't need to reload the whole page, just the graphic you want.

Besides, the new graphics are not saved because they are sent directly to the browser using the Stroke() function. This gives and advantage when dealing with huge data in huge servers, because the graphics are saved in the temporal memory of the user and not in the server.

To install just add to yourhost/sistemname/admin/ the "more_graphics" folder. And replace the yourhost/sistemname/admin/statistics_function.php with the one I'm providing.

If everything goes well, you'll see the new feature while generating graphics in the statistics function, also, you'll realize that the look of the system is not a 100% right, this is because I'm omitting the .css files.

I'm uploading this content here according to the request I have in this forum:
http://www.limesurvey.org/es/soporte/foros/5-can-i-do-this-with-limesurvey/44765-can-limesurvey-generate-another-types-of-graphics?limit=10&start=10#45583 [^]

Thanks for your time. You can write me at starwars_forever3@hotmail.com
TagsNo tags attached.
LimeSurvey build number OR git commit ID8518
Attached Filesrar file icon The_Graphics_Feature.rar [^] (26,230 bytes) 2010-07-19 21:18
png file icon New_Results-20100715[1].PNG [^] (41,055 bytes) 2010-07-19 23:07


rar file icon 1.90 The Graphics Feature.rar [^] (26,440 bytes) 2010-09-07 01:03
rar file icon 1.90 The Graphics Feature_En.rar [^] (26,542 bytes) 2010-09-08 01:23

- Relationships

-  Notes
User avatar (12464)
Mazi (developer)
2010-07-19 23:14

Great work, we'd really love to add this feature at Limesurvey but before we can do that, several changes/improvements have to be made:

1. We are planning to release version 1.90 if Limesurvey very soon. This version contains a new handling of several question types so lots of code, also at statistics has changed.
Can you get the latest 1.90 version from SVN or download 1.90 RC3 (will be released very soon) and adjust your code for this new version?

2. Please add all code comments in English language so we know what your code does. None of our main developers speaks Spanish very well.
User avatar (12467)
BlastDV (reporter)
2010-07-20 17:30

Hello there! I'm uploading the files with all I found in Spanish translated to English. I also made some changes deleting or commenting useless lines or functions.

I'll start working on 1.90 version in the next days, however, I'm not sure when am I going to be done with that, maybe a couple of weeks. Depending on the changes you've implemented in the new Lime Survey.
User avatar (12468)
Mazi (developer)
2010-07-20 23:23

Sounds great!

Take your time and whenever there are questions just ping me or other develoepr at our IRC: http://www.limesurvey.org/en/support/live-chat [^]
User avatar (12611)
c_schmitz (administrator)
2010-08-11 11:19

I think this is an excellent idea. However the iframe solution is not really elegant. Better would be to call the graphic generation using JQuery and AJAX.
Would you be able to change this?
User avatar (12630)
BlastDV (reporter)
2010-08-13 06:08

Hello there, I still trying to fix the database problem I have. Once it's fixed, I'll start with the JQuery & AJAX work, I don't know too much about it but with a couple of testings I'll be able to apply it to the system...

Anyway, do you know what can be wrong with my database creation? I posted it yesterday on the IRC but I couldn't get an answer...
User avatar (12651)
Mazi (developer)
2010-08-18 12:44

BlastDV, please ask your DB question in the forum and link it here, I'll try to help them.

If you have questions about implementing this great new feature, IRC is the best place to ask.

Thanks for all your work!
User avatar (12674)
BlastDV (reporter)
2010-08-21 18:34

Hello Mazi, this is the link to the post I added:

http://www.limesurvey.org/es/soporte/foros/1-installation-a-update-issues/47286-database-problem#47286 [^]


This is why it's taking me so long to make the job!
User avatar (12766)
BlastDV (reporter)
2010-09-07 01:02

Hello!

This files I'm uploading are the needed for the graphics feature in limesurvey 1.90. I'm using LS Version 1.90+ Build 9046 for it.

I was reading the statistics_function.php file in order to find the changes I had to apply but I couldn't find any of them. So as you'll see, the generator.php file is almost the same than the one for the 1.82 version.

If you take a look at the results, you'll see there's a little problem with the scales of the bar graphics. But I think the original LS has that problem too.

Also, I made this again using iFrames, this is just for the moment. If you think this one I'm uploading now is enough good and it doesn't needs any changes then I'll proceed with the use of JQuery and Ajax.


Thanks, and sorry for the long wait...!
User avatar (12767)
Mazi (developer)
2010-09-07 01:43

Great news, thanks for all the work you put into this. Maybe we can even add it at the upcoming 1.91 version soon.

Is it possible to create a test user on your system in order to see how this works live?
User avatar (12768)
BlastDV (reporter)
2010-09-07 01:59

I understand for test user that you want me to create a new user in the version I'm using for you to test it isn't it? Is that so, How could you directly use it if I don't have a public server for this?
User avatar (12769)
Mazi (developer)
2010-09-07 02:24

If you don't have a public server where you can host your Limesurvey system this won't work. But it's no problem, at least we have a screen shot.

Carsten, can you have a look at the code and give some further advice?
User avatar (12770)
BlastDV (reporter)
2010-09-07 02:42

I think I can make a quick video of it and then post it on youtube so that you can see how does it works.
User avatar (12772)
Mazi (developer)
2010-09-07 11:35

That would be cool!
User avatar (12776)
BlastDV (reporter)
2010-09-08 01:32

Hello there, I've just uploaded a new .rar file. This has the 2 files with little changes and some translations in order to be more understandable for you.

Also, I made the video, here's the link:

http://www.youtube.com/watch?v=FvouKwHH_QQ [^]

If you take a look at the code you'll find out that there are several changes to make with the graphics, the general appearance is not defined, so they look a little weird. I'll be fixing this soon to make it more like LimeSurvey standars.
User avatar (12777)
Mazi (developer)
2010-09-08 02:03

Really great, thanks a lot.

Using an Ajax call to automatically load the chosen graph type would improve this cool feature a lot and make it much more user friendly. There are several coders at our team who should be able answer your questions about this if you have any. Don't hesitate to contact us.
User avatar (13082)
c_schmitz (administrator)
2010-10-11 18:16

BlastDV - this feature is really nice and looks fine so far.
Having it in AJAX would be most important ;).

Also remember that 1.90 has PDF and Excel export so you have to make it the output there is matching the screen.
Let us know!
User avatar (13109)
BlastDV (reporter)
2010-10-12 01:25

Hello there!

I've been checking the 1.90 version and you're right, I need to adapt it to the PDF output. But Excel output has no graphics.

By the way, I don't know how to work with AJAX, I've just started the university so I'm short of time, besides, my internet connection now is pretty bad (like 15kps xD) so I've been having troubles to finish this. But I'm having a few days free so I'll start working with this again.

Probably I'll need some help with the PDF output. So I'll be in contact...

I'll write back when I have something...
User avatar (13388)
c_schmitz (administrator)
2010-11-01 17:40

Hi BlasDV,

we are coming close to our first beta release - it would be awesome to have your feature in there (AJAX style version). DO you have any timelimne when you could provide it?
User avatar (14570)
c_schmitz (administrator)
2011-03-28 01:46

Unassigning due to missing feedback.
User avatar (23950)
c_schmitz (administrator)
2013-02-06 11:42

A feature like this exists now in the latest 2.00. Closing this issue.

- Issue History
Date Modified Username Field Change
2010-07-19 21:18 BlastDV New Issue
2010-07-19 21:18 BlastDV File Added: The_Graphics_Feature.rar
2010-07-19 23:07 Mazi File Added: New_Results-20100715[1].PNG
2010-07-19 23:14 Mazi Note Added: 12464
2010-07-19 23:14 Mazi Assigned To => Mazi
2010-07-19 23:14 Mazi Status new => feedback
2010-07-20 17:30 BlastDV Note Added: 12467
2010-07-20 17:30 BlastDV Status feedback => assigned
2010-07-20 17:30 BlastDV File Added: The_Graphics_Feature_En.rar
2010-07-20 23:23 Mazi Note Added: 12468
2010-08-11 11:09 c_schmitz Assigned To Mazi => c_schmitz
2010-08-11 11:19 c_schmitz Note Added: 12611
2010-08-13 06:08 BlastDV Note Added: 12630
2010-08-18 12:44 Mazi Note Added: 12651
2010-08-21 18:34 BlastDV Note Added: 12674
2010-09-07 01:02 BlastDV Note Added: 12766
2010-09-07 01:03 BlastDV File Added: 1.90 The Graphics Feature.rar
2010-09-07 01:43 Mazi Note Added: 12767
2010-09-07 01:59 BlastDV Note Added: 12768
2010-09-07 02:24 Mazi Note Added: 12769
2010-09-07 02:42 BlastDV Note Added: 12770
2010-09-07 11:35 Mazi Note Added: 12772
2010-09-08 01:23 BlastDV File Added: 1.90 The Graphics Feature_En.rar
2010-09-08 01:32 BlastDV Note Added: 12776
2010-09-08 02:03 Mazi Note Added: 12777
2010-10-11 18:00 c_schmitz File Deleted: The_Graphics_Feature_En.rar
2010-10-11 18:16 c_schmitz Note Added: 13082
2010-10-12 01:25 BlastDV Note Added: 13109
2010-11-01 17:40 c_schmitz Note Added: 13388
2011-03-28 01:46 c_schmitz Note Added: 14570
2011-03-28 01:46 c_schmitz Assigned To c_schmitz =>
2011-03-28 01:46 c_schmitz Status assigned => confirmed
2013-02-06 11:42 c_schmitz Note Added: 23950
2013-02-06 11:42 c_schmitz Status confirmed => closed
2013-02-06 11:42 c_schmitz Assigned To => c_schmitz
2013-02-06 11:42 c_schmitz Resolution open => fixed
2013-02-06 11:42 c_schmitz Fixed in Version => 2.00


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker